#include <stdio.h>

/* funzione pura */
int somma(int x, int y);

/* procedura */
void swap(int *x, int *y);

int main(){
	int a=1,b;
	printf("a=%d, b=%d\n", a, b);
	a=3*somma(4,a);
	printf("a=%d, b=%d\n", a, b);
	swap(&a,&b);
	printf("a=%d, b=%d\n", a, b);
    return 0;
}

int somma(int x, int y){
	x = x+y;
	return x;
}

void swap(int *x, int *y){
	int tmp=*x;
	*x=*y;
	*y=tmp;
	return ;
}
